## groovy.lang
Class DummyMetaMethod

Constructor Summary
`DummyMetaMethod()`

Method Summary
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`ParameterTypes` | `getParamTypes()`
`Class` | `getReturnType()`
`Object` | `invoke(Object object, def arguments)`

Constructor Detail

### DummyMetaMethod

    DummyMetaMethod()

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getParamTypes

    public ParameterTypes getParamTypes()

### getReturnType

    public Class getReturnType()

### invoke

    public Object invoke(Object object, def arguments)